using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Association_mining
{
    /// <summary>
    /// Class responsible for displaying databases.
    /// </summary>
    public partial class DataGrid : Form
    {
        /// <summary>
        /// Default constructor.
        /// </summary>
        public DataGrid()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Loads data from the database <c>d</c> to
        /// the datagrid.
        /// </summary>
        /// <param name="d">Database to be displayed</param>
        public void LoadData(Database d)
        {
            dataGridView1.ColumnCount = d.ColumnCount;
            dataGridView1.RowCount = d.RowCount;
            this.Text = d.Text;

            for(int i=0; i<d.ColumnCount;i++)
                dataGridView1.Columns[i].HeaderCell.Value = d.Template.DistinctTypes[i];

            for(int i=0; i<d.RowCount; i++)
            {
                int c = 0;
                dataGridView1.Rows[i].HeaderCell.Value = (i+1).ToString();
                for(int j=0; j<d.BinaryColumnCount;j++)
                {
                    if(d[i,j] == 1)
                    {
                        dataGridView1[c,i].Value = d.Template.Names[j];
                        c++;
                    }
                }
            }
        }
    }
}